<template>
  <div class="mt-box" :style="{ padding }">
    <slot></slot>
  </div>
</template>
<script>
export default {
  name: 'MtBox',
  props: {
    padding: {
      type: String,
      default: () => '10px',
    },
  },
};
</script>
<style lang="scss" scoped>
@import '~/assets/css/_variables';

.mt-box {
  box-shadow: 0 2px 8px -1px rgba($soft-blue, 0.2);
  display: block;
  background: white;
  border-radius: $border-radius;
  position: relative;
}
.mt-box-header {
  padding: 1rem;
  border-bottom: 1px solid rgba($grey, 0.25);

  &.mt-header-borderless {
    border-bottom-width: 0;
  }
}
.mt-box-content {
  padding: 1rem 2rem;
}
</style>
